Skip to content

[EXPERIMENTAL] Upsert Home Base

Request

Upsert a single HomeBase. Once it is created Employees and Transport Resources can make use of it.

Security
clientCredentials
Path
idstring^[a-zA-Z0-9.~\-_]{1,512}$required

A unique identifier of an entity instance. Should only contain characters which do not need URL encoding.

Headers
PreferArray of strings

The RFC7240 Prefer header indicates that a particular server behavior is preferred by the client but is not required for successful completion of the request (see RFC 7240).

The following behavior (see Examples) is supported by this API:

  • return=<minimal|representation> is used to suggest the server to return using 204 without resource (minimal) or using 200 or 201 with resource (representation) in the response body on success.
Examples:
minimal
Indicate no response is needed, can be omitted
["return=minimal"]
representation
Request the result of the operation as response
["return=representation"]
If-Matchstring

Weak Etag used for optimistic locking.

Example:W/"24"
Bodyapplication/json
namestring

Name of the home base

Example:"Ghent - Headquarters"
addressobject(GeoAddress)

Either address information should be present, or otherwise the geo point. The resolved information will be read only and be filled out after resolving.

plan_groupstring

the plan group to which this HomeBase belongs

Example:"cargo planning"
Payload
{ "name": "Ghent - Headquarters", "address": { "address_line": "Voordries 41b", "city": "Oosterzele", "zip_code": "9860", "country_code": "BE", "geo_point": { … } }, "plan_group": "cargo planning" }

Responses

HomeBase created or updated

Headers
ETagstring

A weak Etag (ex W/"<etag_value>") which contains the current version of the entity

Example:"W/\"25\""
Preference-Appliedstring

Indicates whether a preference has been applied. (ex return=representation)

Locationstring, (URI)

A URI to access the result of the operation.

Bodyapplication/json
idstring^[a-zA-Z0-9.~\-_]+$read-only

Unique identifier for this HomeBase.

Example:"HB-GHENT-01"
namestring

Name of the home base

Example:"Ghent - Headquarters"
addressobject(GeoAddress)

Either address information should be present, or otherwise the geo point. The resolved information will be read only and be filled out after resolving.

plan_groupstring

the plan group to which this HomeBase belongs

Example:"cargo planning"
business_idstring^[a-zA-Z0-9.~\-_]+$read-onlydeprecated

Unique identifier for this HomeBase. Deprecated in favor of id.

Example:"HB-GHENT-01"
Response
{ "business_id": "HB-GHENT-01", "id": "HB-GHENT-01", "name": "Ghent - Headquarters", "address": { "address_line": "Voordries 41b", "city": "Oosterzele", "zip_code": "9860", "country_code": "BE", "geo_point": { … } }, "plan_group": "cargo planning" }